> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raydium.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 根据 LP mint 获取农场

> 按 LP token 质押地址搜索农场，支持分页。缓存 60 秒。



## OpenAPI

````yaml /zh/api-reference/openapi/api-v3.yaml get /farms/info/lp
openapi: 3.0.3
info:
  title: Raydium API v3
  version: 3.0.0
  description: >-
    Raydium API v3 提供 REST 接口，用于查询 Solana 区块链上的流动性池、mint 信息、Farm 详情、IDO
    池及链上元数据。钱包、聚合器和交易者可通过其获取价格数据、池数据及路由信息。
servers:
  - url: https://api-v3.raydium.io
    description: 生产环境（主网）
  - url: https://api-v3-devnet.raydium.io
    description: 开发环境（Devnet）
security: []
tags:
  - name: Main
    description: 链信息、TVL 及配置的核心 API 接口
  - name: Mint
    description: Token mint 信息与定价
  - name: Pools
    description: 流动性池信息、密钥及历史数据
  - name: Farms
    description: Farm 池信息与密钥
  - name: IDO
    description: IDO 池信息与密钥
paths:
  /farms/info/lp:
    get:
      tags:
        - Farms
      summary: 根据 LP mint 获取农场
      description: 按 LP token 质押地址搜索农场，支持分页。缓存 60 秒。
      operationId: getFarmsInfoLp
      parameters:
        - name: lp
          in: query
          required: true
          schema:
            type: string
        - name: pageSize
          in: query
          required: true
          schema:
            type: integer
            minimum: 1
            maximum: 100
        - name: page
          in: query
          required: true
          schema:
            type: integer
            minimum: 1
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ApiResponse'
                  - type: object
                    properties:
                      data:
                        $ref: '#/components/schemas/FarmListResponse'
components:
  schemas:
    ApiResponse:
      type: object
      description: 通用响应封装。`data` 字段由各接口的响应 schema 通过 `allOf` 提供，因此未在基础封装中声明。
      required:
        - id
        - success
      properties:
        id:
          type: string
          description: 请求 ID（UUID）
        success:
          type: boolean
          description: 请求是否成功
        msg:
          type: string
          description: 失败时的错误信息
    FarmListResponse:
      type: object
      properties:
        count:
          type: number
        data:
          type: array
          items:
            $ref: '#/components/schemas/FarmInfoItem'
        hasNextPage:
          type: boolean
    FarmInfoItem:
      type: object
      properties:
        id:
          type: string
        lpMint:
          type: string
        rewardMints:
          type: array
          items:
            type: string
        apr:
          type: number

````